<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['upr-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['upr_id'])) puterror2($TEXT['error-upr9']);
  if(strlen($_POST['upr_id'])>11) puterror2($TEXT['error-upr2']);
  $_POST['upr_id'] = rep($_POST['upr_id']);

  //*************************************
  $query1 = "SELECT * FROM `tbl_upravlenie` WHERE `upr_id`='".$_POST['upr_id']."' ";
  $result = mysql_query($query1);
  if (!$result) puterror2($TEXT['error-tbl9']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-upr3'];
  $what = $result2['upravlenie'].$TEXT['log-id'].$_POST['upr_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "DELETE FROM `tbl_upravlenie` WHERE `upr_id`='".$_POST['upr_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-upr10']);
  require_once "../util/bottom.php";
?>
